Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Steve Cookson
Hi Guys,

I've just upgraded to the troublesome (K)Ubuntu 14.04 lts and as wx2.8
is now out of support, I'm upgrading to 3.0.0.

So then I do apt-get install flamerobin - apparently successful, but
when I type "flamerobin" it crashes because of missing wx2.8 files.

So next I look for a full compile script.  After a bit of messing around
I get this:

git clone http://git.code.sf.net/p/flamerobin/flamerobin-git flamerobin
cd flamerobin
# find / | grep -i bin/wx-config
apt-get install libboost-dev
apt-get install mpi-default-bin mpi-default-dev libboost-all-dev
./configure
--with-wx-config=/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/bin/wx-config
--prefix=/opt/flamerobin
make
make install

Which give me a clean compile (maybe I don't need both libboost-all-dev
and libboost-dev, but as I don't know the difference I leave it).

Typing 'flamerobin' gives me:
The program 'flamerobin' is currently not installed. You can install it
by typing:
apt-get install flamerobin

So I do a find to find the executable and I get:

# /opt/flamerobin/bin/flamerobin

Which gives me:

/opt/flamerobin/bin/flamerobin: error while loading shared libraries:
libwx_gtk2u_aui-3.0.so.0: cannot open shared object file: No such file
or directory

but it is in fact here:

# find / | grep -i libwx_gtk2u_aui
/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0.0.0
/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so
/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0

Does anyone have any suggestions?

Regards

Steve

------------------------------------------------------------------------------
HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
Find What Matters Most in Your Big Data with HPCC Systems
Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
Leverages Graph Analysis for Fast Processing & Easy Data Exploration
http://p.sf.net/sfu/hpccsystems
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

marius adrian popa
Administrator
you need to add this line

/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/
into

/etc/ld.so.conf.d/wx3.conf
and then run ldconfig

this is how the file it looks in my case

cat /etc/ld.so.conf.d/wx3.conf
/opt/wxwidgets/lib/

I have compiled the wx 3.x this way


http://flamerobin.blogspot.ro/2014/06/compiling-flamerobin-with-wxwidgets-301.html

On Fri, Jun 20, 2014 at 2:57 PM, Steve Cookson <[hidden email]> wrote:

> Hi Guys,
>
> I've just upgraded to the troublesome (K)Ubuntu 14.04 lts and as wx2.8
> is now out of support, I'm upgrading to 3.0.0.
>
> So then I do apt-get install flamerobin - apparently successful, but
> when I type "flamerobin" it crashes because of missing wx2.8 files.
>
> So next I look for a full compile script.  After a bit of messing around
> I get this:
>
> git clone http://git.code.sf.net/p/flamerobin/flamerobin-git flamerobin
> cd flamerobin
> # find / | grep -i bin/wx-config
> apt-get install libboost-dev
> apt-get install mpi-default-bin mpi-default-dev libboost-all-dev
> ./configure
> --with-wx-config=/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/bin/wx-config
> --prefix=/opt/flamerobin
> make
> make install
>
> Which give me a clean compile (maybe I don't need both libboost-all-dev
> and libboost-dev, but as I don't know the difference I leave it).
>
> Typing 'flamerobin' gives me:
> The program 'flamerobin' is currently not installed. You can install it
> by typing:
> apt-get install flamerobin
>
> So I do a find to find the executable and I get:
>
> # /opt/flamerobin/bin/flamerobin
>
> Which gives me:
>
> /opt/flamerobin/bin/flamerobin: error while loading shared libraries:
> libwx_gtk2u_aui-3.0.so.0: cannot open shared object file: No such file
> or directory
>
> but it is in fact here:
>
> # find / | grep -i libwx_gtk2u_aui
> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0.0.0
> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so
> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0
>
> Does anyone have any suggestions?
>
> Regards
>
> Steve
>
> ------------------------------------------------------------------------------
> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
> Find What Matters Most in Your Big Data with HPCC Systems
> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
> http://p.sf.net/sfu/hpccsystems
> _______________________________________________
> Flamerobin-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel

------------------------------------------------------------------------------
HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
Find What Matters Most in Your Big Data with HPCC Systems
Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
Leverages Graph Analysis for Fast Processing & Easy Data Exploration
http://p.sf.net/sfu/hpccsystems
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Steve Cookson
Hi Marius,

That seemed to work.  I also upgraded to wx3.0.1, but I now get reams of
debug.  Should I have put a "--disable-debug" in the ./configure
statement or something?

Also it would be nice to have all the dependencies (like boost) shown in
your script.

Thanks for the help.

Regards

Steve

On 23/06/14 13:49, marius adrian popa wrote:

> you need to add this line
>
> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/
> into
>
> /etc/ld.so.conf.d/wx3.conf
> and then run ldconfig
>
> this is how the file it looks in my case
>
> cat /etc/ld.so.conf.d/wx3.conf
> /opt/wxwidgets/lib/
>
> I have compiled the wx 3.x this way
>
>
> http://flamerobin.blogspot.ro/2014/06/compiling-flamerobin-with-wxwidgets-301.html
>
> On Fri, Jun 20, 2014 at 2:57 PM, Steve Cookson <[hidden email]> wrote:
>> Hi Guys,
>>
>> I've just upgraded to the troublesome (K)Ubuntu 14.04 lts and as wx2.8
>> is now out of support, I'm upgrading to 3.0.0.
>>
>> So then I do apt-get install flamerobin - apparently successful, but
>> when I type "flamerobin" it crashes because of missing wx2.8 files.
>>
>> So next I look for a full compile script.  After a bit of messing around
>> I get this:
>>
>> git clone http://git.code.sf.net/p/flamerobin/flamerobin-git flamerobin
>> cd flamerobin
>> # find / | grep -i bin/wx-config
>> apt-get install libboost-dev
>> apt-get install mpi-default-bin mpi-default-dev libboost-all-dev
>> ./configure
>> --with-wx-config=/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/bin/wx-config
>> --prefix=/opt/flamerobin
>> make
>> make install
>>
>> Which give me a clean compile (maybe I don't need both libboost-all-dev
>> and libboost-dev, but as I don't know the difference I leave it).
>>
>> Typing 'flamerobin' gives me:
>> The program 'flamerobin' is currently not installed. You can install it
>> by typing:
>> apt-get install flamerobin
>>
>> So I do a find to find the executable and I get:
>>
>> # /opt/flamerobin/bin/flamerobin
>>
>> Which gives me:
>>
>> /opt/flamerobin/bin/flamerobin: error while loading shared libraries:
>> libwx_gtk2u_aui-3.0.so.0: cannot open shared object file: No such file
>> or directory
>>
>> but it is in fact here:
>>
>> # find / | grep -i libwx_gtk2u_aui
>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0.0.0
>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so
>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0
>>
>> Does anyone have any suggestions?
>>
>> Regards
>>
>> Steve
>>
>> ------------------------------------------------------------------------------
>> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
>> Find What Matters Most in Your Big Data with HPCC Systems
>> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
>> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
>> http://p.sf.net/sfu/hpccsystems
>> _______________________________________________
>> Flamerobin-devel mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
> ------------------------------------------------------------------------------
> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
> Find What Matters Most in Your Big Data with HPCC Systems
> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
> http://p.sf.net/sfu/hpccsystems
> _______________________________________________
> Flamerobin-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
>


------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

marius adrian popa
Administrator
you can remove --enable-debug

also for building flamerobin you can use

sudo apt-get build-dep flamerobin on debian based systems  also you
can check the package page

https://packages.debian.org/sid/flamerobin

On Wed, Jun 25, 2014 at 12:07 AM, Steve Cookson <[hidden email]> wrote:

> Hi Marius,
>
> That seemed to work.  I also upgraded to wx3.0.1, but I now get reams of
> debug.  Should I have put a "--disable-debug" in the ./configure
> statement or something?
>
> Also it would be nice to have all the dependencies (like boost) shown in
> your script.
>
> Thanks for the help.
>
> Regards
>
> Steve
>
> On 23/06/14 13:49, marius adrian popa wrote:
>> you need to add this line
>>
>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/
>> into
>>
>> /etc/ld.so.conf.d/wx3.conf
>> and then run ldconfig
>>
>> this is how the file it looks in my case
>>
>> cat /etc/ld.so.conf.d/wx3.conf
>> /opt/wxwidgets/lib/
>>
>> I have compiled the wx 3.x this way
>>
>>
>> http://flamerobin.blogspot.ro/2014/06/compiling-flamerobin-with-wxwidgets-301.html
>>
>> On Fri, Jun 20, 2014 at 2:57 PM, Steve Cookson <[hidden email]> wrote:
>>> Hi Guys,
>>>
>>> I've just upgraded to the troublesome (K)Ubuntu 14.04 lts and as wx2.8
>>> is now out of support, I'm upgrading to 3.0.0.
>>>
>>> So then I do apt-get install flamerobin - apparently successful, but
>>> when I type "flamerobin" it crashes because of missing wx2.8 files.
>>>
>>> So next I look for a full compile script.  After a bit of messing around
>>> I get this:
>>>
>>> git clone http://git.code.sf.net/p/flamerobin/flamerobin-git flamerobin
>>> cd flamerobin
>>> # find / | grep -i bin/wx-config
>>> apt-get install libboost-dev
>>> apt-get install mpi-default-bin mpi-default-dev libboost-all-dev
>>> ./configure
>>> --with-wx-config=/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/bin/wx-config
>>> --prefix=/opt/flamerobin
>>> make
>>> make install
>>>
>>> Which give me a clean compile (maybe I don't need both libboost-all-dev
>>> and libboost-dev, but as I don't know the difference I leave it).
>>>
>>> Typing 'flamerobin' gives me:
>>> The program 'flamerobin' is currently not installed. You can install it
>>> by typing:
>>> apt-get install flamerobin
>>>
>>> So I do a find to find the executable and I get:
>>>
>>> # /opt/flamerobin/bin/flamerobin
>>>
>>> Which gives me:
>>>
>>> /opt/flamerobin/bin/flamerobin: error while loading shared libraries:
>>> libwx_gtk2u_aui-3.0.so.0: cannot open shared object file: No such file
>>> or directory
>>>
>>> but it is in fact here:
>>>
>>> # find / | grep -i libwx_gtk2u_aui
>>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0.0.0
>>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so
>>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0
>>>
>>> Does anyone have any suggestions?
>>>
>>> Regards
>>>
>>> Steve
>>>
>>> ------------------------------------------------------------------------------
>>> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
>>> Find What Matters Most in Your Big Data with HPCC Systems
>>> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
>>> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
>>> http://p.sf.net/sfu/hpccsystems
>>> _______________________________________________
>>> Flamerobin-devel mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
>> ------------------------------------------------------------------------------
>> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
>> Find What Matters Most in Your Big Data with HPCC Systems
>> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
>> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
>> http://p.sf.net/sfu/hpccsystems
>> _______________________________________________
>> Flamerobin-devel mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
>>
>
>
> ------------------------------------------------------------------------------
> Open source business process management suite built on Java and Eclipse
> Turn processes into business applications with Bonita BPM Community Edition
> Quickly connect people, data, and systems into organized workflows
> Winner of BOSSIE, CODIE, OW2 and Gartner awards
> http://p.sf.net/sfu/Bonitasoft
> _______________________________________________
> Flamerobin-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Dalton Calford-2
I was able to get it to compile and run, but, when I attempted any action that would invoke a popup window, such as getting the 'properties' of a procedure, flamerobin would crash, complaining about improper parameters.

I have not had a chance to look at it, but, if anyone has a compiled version that does not crash, I would love to test it to see if it is my system or something in the code.


On 25 June 2014 07:10, marius adrian popa <[hidden email]> wrote:
you can remove --enable-debug

also for building flamerobin you can use

sudo apt-get build-dep flamerobin on debian based systems  also you
can check the package page

https://packages.debian.org/sid/flamerobin

On Wed, Jun 25, 2014 at 12:07 AM, Steve Cookson <[hidden email]> wrote:
> Hi Marius,
>
> That seemed to work.  I also upgraded to wx3.0.1, but I now get reams of
> debug.  Should I have put a "--disable-debug" in the ./configure
> statement or something?
>
> Also it would be nice to have all the dependencies (like boost) shown in
> your script.
>
> Thanks for the help.
>
> Regards
>
> Steve
>
> On 23/06/14 13:49, marius adrian popa wrote:
>> you need to add this line
>>
>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/
>> into
>>
>> /etc/ld.so.conf.d/wx3.conf
>> and then run ldconfig
>>
>> this is how the file it looks in my case
>>
>> cat /etc/ld.so.conf.d/wx3.conf
>> /opt/wxwidgets/lib/
>>
>> I have compiled the wx 3.x this way
>>
>>
>> http://flamerobin.blogspot.ro/2014/06/compiling-flamerobin-with-wxwidgets-301.html
>>
>> On Fri, Jun 20, 2014 at 2:57 PM, Steve Cookson <[hidden email]> wrote:
>>> Hi Guys,
>>>
>>> I've just upgraded to the troublesome (K)Ubuntu 14.04 lts and as wx2.8
>>> is now out of support, I'm upgrading to 3.0.0.
>>>
>>> So then I do apt-get install flamerobin - apparently successful, but
>>> when I type "flamerobin" it crashes because of missing wx2.8 files.
>>>
>>> So next I look for a full compile script.  After a bit of messing around
>>> I get this:
>>>
>>> git clone http://git.code.sf.net/p/flamerobin/flamerobin-git flamerobin
>>> cd flamerobin
>>> # find / | grep -i bin/wx-config
>>> apt-get install libboost-dev
>>> apt-get install mpi-default-bin mpi-default-dev libboost-all-dev
>>> ./configure
>>> --with-wx-config=/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/bin/wx-config
>>> --prefix=/opt/flamerobin
>>> make
>>> make install
>>>
>>> Which give me a clean compile (maybe I don't need both libboost-all-dev
>>> and libboost-dev, but as I don't know the difference I leave it).
>>>
>>> Typing 'flamerobin' gives me:
>>> The program 'flamerobin' is currently not installed. You can install it
>>> by typing:
>>> apt-get install flamerobin
>>>
>>> So I do a find to find the executable and I get:
>>>
>>> # /opt/flamerobin/bin/flamerobin
>>>
>>> Which gives me:
>>>
>>> /opt/flamerobin/bin/flamerobin: error while loading shared libraries:
>>> libwx_gtk2u_aui-3.0.so.0: cannot open shared object file: No such file
>>> or directory
>>>
>>> but it is in fact here:
>>>
>>> # find / | grep -i libwx_gtk2u_aui
>>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0.0.0
>>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so
>>> /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/libwx_gtk2u_aui-3.0.so.0
>>>
>>> Does anyone have any suggestions?
>>>
>>> Regards
>>>
>>> Steve
>>>
>>> ------------------------------------------------------------------------------
>>> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
>>> Find What Matters Most in Your Big Data with HPCC Systems
>>> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
>>> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
>>> http://p.sf.net/sfu/hpccsystems
>>> _______________________________________________
>>> Flamerobin-devel mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
>> ------------------------------------------------------------------------------
>> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
>> Find What Matters Most in Your Big Data with HPCC Systems
>> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
>> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
>> http://p.sf.net/sfu/hpccsystems
>> _______________________________________________
>> Flamerobin-devel mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
>>
>
>
> ------------------------------------------------------------------------------
> Open source business process management suite built on Java and Eclipse
> Turn processes into business applications with Bonita BPM Community Edition
> Quickly connect people, data, and systems into organized workflows
> Winner of BOSSIE, CODIE, OW2 and Gartner awards
> http://p.sf.net/sfu/Bonitasoft
> _______________________________________________
> Flamerobin-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel


------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Steve Cookson
Hi Dalton,

On 25/06/14 14:15, Dalton Calford wrote:
> I have not had a chance to look at it, but, if anyone has a compiled
> version that does not crash, I would love to test it to see if it is
> my system or something in the code.
>
Mine is fine.  Do you mean you want the flamerobin executable or the
full script?  What is it you want?  I imagine the executable is
dynamically linked to wx, so if wx3.0.1 has issues, so will your app.

I'll send it to your email address if you want.

Regards,

Steve

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Dalton Calford-2
Yes please, the 64 bit executable for ubuntu linux with wx3.0.1 support.

The script as well as I would like to see if there are differences with what I have.  


On 25 June 2014 12:20, Steve Cookson <[hidden email]> wrote:
Hi Dalton,

On 25/06/14 14:15, Dalton Calford wrote:
> I have not had a chance to look at it, but, if anyone has a compiled
> version that does not crash, I would love to test it to see if it is
> my system or something in the code.
>
Mine is fine.  Do you mean you want the flamerobin executable or the
full script?  What is it you want?  I imagine the executable is
dynamically linked to wx, so if wx3.0.1 has issues, so will your app.

I'll send it to your email address if you want.

Regards,

Steve

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel


------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Steve Cookson - gmail
Hi Dalton,

The executable turned out to be 55MB, so I put it on Dropbox here:

    https://www.dropbox.com/s/jby7a78vc8at8q7/flamerobin

It'll be there until I next do some housekeeping (so you're pretty safe).

I'm running 64 bit flamerobin with 3.01 wxWidgets on Kubuntu 14.04.

Here is the install script:

# First I install wxWidget for wxPerl using Alien-wxWidgets as follows:
#  Remove your old install files.
cd ~
rm -rf Alien-wxWidgets
# The original wxWidgets is set to 3.0.0.  I've hacked it for 3.0.1 on github.
# There are other ways, but this one works for me.
#
git clone https://github.com/SteveBz/Alien-wxWidgets
cd ~/Alien-wxWidgets
perl Build.PL \
    --wxWidgets-build=1 \
    --wxWidgets-graphicscontext \
    --wxWidgets-build-opengl=1 \
    --wxWidgets-version=3.0.1 \
    --wxWidgets-source=tar.bz2 \
    --wxWidgets-unicode=1 \
    --wx-unicode='yes' \
    --wxWidgets-build-opengl=1 \
    --wxWidgets-extraflags="--enable-graphics_ctx \
                        --disable-compat26 \
                        --enable-mediactrl \
                        --with-libjpeg=builtin \
                        --with-libpng=builtin \
                        --with-regex=builtin \
                        --with-libtiff=builtin \
                        --with-zlib=builtin \
                        --with-expat=builtin \
                        --with-libxpm=builtin \
                        --with-gtk=2\
                        --with-gtkprint"

# Download and compile wxWidgets.
perl Build
# Baseline Alien-wxWidgets on git.
git init
git add *
git commit -am "Adding Alien-wxWidgets baseline"
perl Build install
ldconfig
cd ..

git clone http://git.code.sf.net/p/flamerobin/flamerobin-git flamerobin
cd flamerobin
# I use:
# find / | grep -i bin/wx-config
# to find my wx path fo the ./configure statement
apt-get install libboost-dev
apt-get install mpi-default-bin mpi-default-dev libboost-all-dev
./configure
--with-wx-config=/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/bin/wx-config
--prefix=/opt/flamerobin
make
make install

# Which give me a clean compile (maybe I don't need both libboost-all-dev
# and libboost-dev, but as I don't know the difference I leave it).

# Then as per Marius's email, I create a one-line file as below

# you need to add this line

# /usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/
# into
# /etc/ld.so.conf.d/wx3.conf

ldconfig
# Typing 'flamerobin' gives me:
# The program 'flamerobin' is currently not installed.
#

# So I do a find to find the executable and I get:

# /opt/flamerobin/bin/flamerobin

# Which gives me:

/opt/flamerobin/bin/flamerobin

# This works fine.




On 25/06/14 18:49, Dalton Calford wrote:
> Yes please, the 64 bit executable for ubuntu linux with wx3.0.1 support.
> The script as well as I would like to see if there are differences with what I have. 
>
>
> On 25 June 2014 12:20, Steve Cookson [hidden email] wrote:
>
>     Hi Dalton,
>
>     On 25/06/14 14:15, Dalton Calford wrote:
>     > I have not had a chance to look at it, but, if anyone has a compiled
>     > version that does not crash, I would love to test it to see if it is
>     > my system or something in the code.
>     >
>     Mine is fine.  Do you mean you want the flamerobin executable or the
>     full script?  What is it you want?  I imagine the executable is
>     dynamically linked to wx, so if wx3.0.1 has issues, so will your app.
>
>     I'll send it to your email address if you want.
>
>     Regards,
>
>     Steve
>
>     ------------------------------------------------------------------------------
>     Open source business process management suite built on Java and Eclipse
>     Turn processes into business applications with Bonita BPM Community Edition
>     Quickly connect people, data, and systems into organized workflows
>     Winner of BOSSIE, CODIE, OW2 and Gartner awards
>     http://p.sf.net/sfu/Bonitasoft
>     _______________________________________________
>     Flamerobin-devel mailing list
>     [hidden email]
>     https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
>
> ------------------------------------------------------------------------------
> Open source business process management suite built on Java and Eclipse
> Turn processes into business applications with Bonita BPM Community Edition
> Quickly connect people, data, and systems into organized workflows
> Winner of BOSSIE, CODIE, OW2 and Gartner awards
> http://p.sf.net/sfu/Bonitasoft
> _______________________________________________
> Flamerobin-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel


------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Steve Cookson
In reply to this post by marius adrian popa
Marius,

I guess you must be the same Marius who wrote the perl DBD::Firebird driver.

Great job!

Regards

Steve.



On 23/06/14 13:49, marius adrian popa wrote:
you need to add this line

/usr/local/lib/perl/5.18.2/Alien/wxWidgets/gtk_3_0_0_uni/lib/
into

/etc/ld.so.conf.d/wx3.conf
and then run ldconfig


------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Milan Babuskov-4
In reply to this post by Steve Cookson
On Fri, Jun 20, 2014 at 1:57 PM, Steve Cookson <[hidden email]> wrote:
> I've just upgraded to the troublesome (K)Ubuntu 14.04 lts and as wx2.8
> is now out of support, I'm upgrading to 3.0.0.

Not sure what you mean. I installed wx2.8 via apt-get and everything
works. All this on freshly installed vanilla 14.04 64bit:

apt-get install libwxgtk2.8-0

Regards,
M.

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Compiling Flamerobin with (K)Ubuntu 14.04 and wx3.0.0

Steve Cookson

On 27/06/14 12:16, Milan Babuskov wrote:
> Not sure what you mean. I installed wx2.8 via apt-get and everything
> works. All this on freshly installed vanilla 14.04 64bit:
Well I'm happy with 3.0.1 now.

Thanks for responding.

Regards

Steve

------------------------------------------------------------------------------
Open source business process management suite built on Java and Eclipse
Turn processes into business applications with Bonita BPM Community Edition
Quickly connect people, data, and systems into organized workflows
Winner of BOSSIE, CODIE, OW2 and Gartner awards
http://p.sf.net/sfu/Bonitasoft
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel